//
// UserCurrentUpdate.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct UserCurrentUpdate: Codable {

    public var firstName: String
    public var lastName: String
    public var isActive: Bool
    public var avatarId: UUID?

    public init(firstName: String, lastName: String, isActive: Bool, avatarId: UUID? = nil) {
        self.firstName = firstName
        self.lastName = lastName
        self.isActive = isActive
        self.avatarId = avatarId
    }

    public enum CodingKeys: String, CodingKey { 
        case firstName = "first_name"
        case lastName = "last_name"
        case isActive = "is_active"
        case avatarId = "avatar_id"
    }

}
